Gecode::BrancherFilter< View > Class Template Reference

Class storing a branch filter function. More...

`#include <filter.hpp>`

## Public Types

typedef View::VarType | Var
| The corresponding variable type.

## Public Member Functions

| BrancherFilter (BranchFilter< Var > bf)
| Initialize.
| BrancherFilter (BrancherFilter &bf)
| Initialize during cloning.
| operator bool (void) const
| Whether filtering is enabled.
bool | operator() (const Space &home, View x, int i) const
| Invoke filter function.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete object.

## Protected Attributes

SharedData< BranchFilter< Var > > | f

## Detailed Description

template<class View>
class Gecode::BrancherFilter< View >

Class storing a branch filter function.

Definition at line 45 of file filter.hpp.

## Member Typedef Documentation

## Var

template<class View>

typedef View::VarType Gecode::BrancherFilter< View >::Var

The corresponding variable type.

Definition at line 48 of file filter.hpp.

## Constructor & Destructor Documentation

## BrancherFilter() [1/2]

template<class View>

Gecode::BrancherFilter< View >::BrancherFilter | ( | BranchFilter< Var > | bf | ) |

inline

Initialize.

Definition at line 90 of file filter.hpp.

## BrancherFilter() [2/2]

template<class View>

Gecode::BrancherFilter< View >::BrancherFilter | ( | BrancherFilter< View > & | bf | ) |

Initialize during cloning.

## Member Function Documentation

## operator bool()

template<class View>

Gecode::BrancherFilter< View >::operator bool | ( | void |  | ) | const

inline

Whether filtering is enabled.

Definition at line 103 of file filter.hpp.

## operator()()

template<class View>

bool Gecode::BrancherFilter< View >::operator() | ( | const Space & | home,
|  | View | x,
|  | int | i ) const

inline

Invoke filter function.

Definition at line 109 of file filter.hpp.

## notice()

template<class View>

bool Gecode::BrancherFilter< View >::notice | ( | void |  | ) | const

inline

Whether dispose must always be called (that is, notice is needed).

Definition at line 117 of file filter.hpp.

## dispose()

template<class View>

void Gecode::BrancherFilter< View >::dispose | ( | Space & | home | ) |

inline

Delete object.

Definition at line 123 of file filter.hpp.

## Member Data Documentation

## f

template<class View>

SharedData<BranchFilter<Var> > Gecode::BrancherFilter< View >::f

protected

Definition at line 50 of file filter.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/filter.hpp